package com.sheep.gamegroup.view.fragment;

import com.sheep.gamegroup.model.entity.BaseMessage;
import com.sheep.gamegroup.model.entity.RechargeLogEntity;
import com.sheep.jiuyan.samllsheep.SheepApp;

import java.util.List;

import io.reactivex.Observable;

/**
 * 我的资产 --> 充值Q币记录（消费记录）
 * Created by realicing on 2018/5/9.
 * realicing@sina.com
 */
public class FgtMyMoney3 extends AbsFgtMyMoney {
    @Override
    protected List<RechargeLogEntity> getDatas(BaseMessage baseMessage) {
        return baseMessage.getDatas(RechargeLogEntity.class);
    }

    @Override
    protected Observable<BaseMessage> initObservable(int page, int per_page) {
        return SheepApp.getInstance().getNetComponent().getApiService().rechargeLog(page, per_page);
    }
}
